public static class GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
completeTime
The time when the upload job was complete.
|
String |
creationTime
The time when the upload job was created.
|
String |
errorCode
The error code returned.
|
String |
errorMessage
The error message returned.
|
String |
fileSize
The size of the uploaded media file.
|
String |
jobId
The ID of the upload job.
|
String |
mediaId
The ID of the uploaded media file.
|
String |
status
The status of the URL-based upload job.
|
String |
uploadURL
The upload URL of the source file.
|
String |
userData
The custom configurations.
|
| 构造器和说明 |
|---|
GetURLUploadInfosResponseBodyURLUploadInfoList() |
@NameInMap(value="CompleteTime") public String completeTime
The time when the upload job was complete. The time follows the ISO 8601 standard in the *yyyy-MM-dd*T*HH:mm:ss*Z format. The time is displayed in UTC.
@NameInMap(value="CreationTime") public String creationTime
The time when the upload job was created. The time follows the ISO 8601 standard in the *yyyy-MM-dd*T*HH:mm:ss*Z format. The time is displayed in UTC.
@NameInMap(value="ErrorCode") public String errorCode
The error code returned.
@NameInMap(value="ErrorMessage") public String errorMessage
The error message returned.
@NameInMap(value="FileSize") public String fileSize
The size of the uploaded media file. Unit: byte.
@NameInMap(value="JobId") public String jobId
The ID of the upload job.
@NameInMap(value="MediaId") public String mediaId
The ID of the uploaded media file.
@NameInMap(value="Status") public String status
The status of the URL-based upload job. For more information about the valid values and value description of the parameter, see the "Status: the status of a video" section of the [Basic structures](~~52839~~) topic.
@NameInMap(value="UploadURL") public String uploadURL
The upload URL of the source file.
> A maximum of 100 URLs can be returned.
@NameInMap(value="UserData") public String userData
The custom configurations. The value is a JSON string. For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952~~) topic.
public GetURLUploadInfosResponseBodyURLUploadInfoList()
public static GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList build(Map<String,?> map) throws Exception
Exceptionpublic GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setCompleteTime(String completeTime)
public String getCompleteTime()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setCreationTime(String creationTime)
public String getCreationTime()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setErrorCode(String errorCode)
public String getErrorCode()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setErrorMessage(String errorMessage)
public String getErrorMessage()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setFileSize(String fileSize)
public String getFileSize()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setJobId(String jobId)
public String getJobId()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setMediaId(String mediaId)
public String getMediaId()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setStatus(String status)
public String getStatus()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setUploadURL(String uploadURL)
public String getUploadURL()
public GetURLUploadInfosResponseBody.GetURLUploadInfosResponseBodyURLUploadInfoList setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.